﻿namespace StructuralPatterns.Proxy.Server
{
    using System;
    using StructuralPatterns.Proxy;

    class Program
    {
        static void Main(string[] args)
        {
            IEmployeeDataSource dataSource = DataSourceFactory.CreateServerDataSource();

            EmployeeInfo employeeInfo = new EmployeeInfo() {
                Id = 42,
                FullName = "John Doe"
            };
            dataSource.SetEmployeeInfo(employeeInfo);
            
            Console.WriteLine("Press [Enter] to terminate server...");
            Console.ReadLine();           
        }
    }
}
